aboutsummaryrefslogtreecommitdiffstats
path: root/non-free
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2013-06-16 15:09:05 +0200
committerBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2013-06-16 15:09:05 +0200
commitb5b72ea2ba99cc8349edc435d64f2b40f6e54dad (patch)
treeaa9ad9725d21d1e4a6675ab89c4e8247d146066b /non-free
parent20b31ac3b171ef836dd217548580240c19d9108b (diff)
downloadaports-b5b72ea2ba99cc8349edc435d64f2b40f6e54dad.tar.gz
aports-b5b72ea2ba99cc8349edc435d64f2b40f6e54dad.tar.bz2
aports-b5b72ea2ba99cc8349edc435d64f2b40f6e54dad.tar.xz
non-free/amd-ucode: new aport
Diffstat (limited to 'non-free')
-rw-r--r--non-free/amd-ucode/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/non-free/amd-ucode/APKBUILD b/non-free/amd-ucode/APKBUILD
new file mode 100644
index 0000000000..cede1a8465
--- /dev/null
+++ b/non-free/amd-ucode/APKBUILD
@@ -0,0 +1,22 @@
+pkgname=amd-ucode
+_realver=2012-09-10
+pkgver=${_realver//-/\.}
+pkgrel=0
+pkgdesc="Microcode update files for AMD family 10h, 11h, 14h and 15h CPUs"
+arch='noarch'
+license='custom'
+url="http://www.amd64.org/support/microcode.html"
+source="http://dev.alpinelinux.org/archive/amd-ucode/amd-ucode-${_realver}.tar.xz"
+
+package() {
+ cd "${srcdir}"/${pkgname}-${_realver}
+ install -D -m644 microcode_amd.bin \
+ "${pkgdir}"/usr/lib/firmware/amd-ucode/microcode_amd.bin || return 1
+ install -D -m644 microcode_amd_fam15h.bin \
+ "${pkgdir}"/usr/lib/firmware/amd-ucode/microcode_amd_fam15h.bin || return 1
+ install -D -m644 LICENSE \
+ "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE || return 1
+}
+md5sums="4ec4efcd6a2f249dc9bb4fb3f1361610 amd-ucode-2012-09-10.tar.xz"
+sha256sums="ab4d8d1638d88c3ffd747b6d7f366676a817b4c11c8f4b0235b2d2125ca4836d amd-ucode-2012-09-10.tar.xz"
+sha512sums="5ff4a6cf02b4221bf08df34409cbfb93c56d8995647ecfcb7808e108b7968e231b87a28a96131db3c25ae44bcda5a4102565b84db48b39a29849b6e33ad80fd6 amd-ucode-2012-09-10.tar.xz"